﻿@model System.Collections.Generic.List<DataBaseFinalProject.Models.IncomeTransaction>

@{
    ViewBag.Title = "Incomes";
    Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<p>
    <a asp-action="Create" class="btn btn-primary mb-3">Create Income</a>
</p>

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Id</th>
            <th scope="col">User Name</th>
            <th scope="col">Category Name</th>
            <th scope="col">Amount</th>
            <th scope="col">Description</th>
            <th scope="col">Created at</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach (var incomeTransaction in Model)
        {
            <tr>
                <td>@incomeTransaction.Id</td>
                <td>@incomeTransaction.User.Nickname</td>
                <td>@incomeTransaction.Category.Name</td>
                <td>@incomeTransaction.Amount</td>
                <td>@incomeTransaction.Description</td>
                <td>@incomeTransaction.CreatedAt.ToString("dd/MM/yyyy")</td>
                <td>
                    <a class="btn btn-sm btn-primary" asp-action="Edit" asp-route-Id="@incomeTransaction.Id">Edit</a>
                    <button type="button" class="btn btn-sm btn-danger" onclick="deleteIncome('@incomeTransaction.Id')">Delete</button>
                    <form id="deleteForm_@incomeTransaction.Id" asp-action="Delete" asp-route-id="@incomeTransaction.Id" method="post" style="display:none;">
                    </form>
                </td>
            </tr>
        }
        </tbody>
    </table>
</div>

@section Scripts {
    <script>
        function deleteIncome(incomeTransactionId) {
            if (confirm('Are you sure you want to delete this income?')) {
                document.getElementById('deleteForm_' + incomeTransactionId).submit();
            }
        }
    </script>
}